#!/usr/bin/env ts-node

import createWebpackConfig from "./scripts/createWebpackConfig";
import getPagePlugins from "./scripts/getPagePlugins";
import LoggerService from "./scripts/helpers/LoggerService";

const webpack = require("webpack");
const WebpackDevServer = require("webpack-dev-server");

const runServer = async () => {
    LoggerService.warning("Starting to run dev server.\n");

    const pagePlugins = await getPagePlugins();

    LoggerService.warning("Creating webpack config...\n");
    const webpackConfig = createWebpackConfig("development", pagePlugins);
    LoggerService.success("Successfully created webpack config!\n");

    const compiler = webpack(webpackConfig);

    const server = new WebpackDevServer(webpackConfig.devServer, compiler);

    await server.start();
};

runServer();
