import axios from "axios";
//
import { GetPublicApiCategoriesResponse, GetPublicApiPostsResponse } from "./types";
import getEnv from "./helpers/getEnv";

const api = axios.create({
    baseURL: getEnv().API_URL
});

export type FetchedData = {
    postsResponse: GetPublicApiPostsResponse;
    categoriesResponse: GetPublicApiCategoriesResponse;
};

const fetchPublicData = async (): Promise<FetchedData> => {
    const [postsResponse, categoriesResponse]: [GetPublicApiPostsResponse, GetPublicApiCategoriesResponse] =
        await Promise.all([api.get("/posts"), api.get("/categories")]);

    return {
        postsResponse,
        categoriesResponse
    };
};

export default fetchPublicData;
