import { get } from "lodash";
//
import getEnv from "./getEnv";
import getTranslationConfig from "./i18n";

const getUncategorizedCategoryProperties = (locale: string) => {
    const slugEnvValue = getEnv().UNCATEGORIZED_CATEGORY_SLUG;

    const nameTranslation = get(getTranslationConfig(), `[${locale}].global.uncategorized`, "Uncategorized");

    return {
        name: nameTranslation,
        slug: slugEnvValue || "uncategorized"
    };
};

export default getUncategorizedCategoryProperties;
