const path = require("path");
const fs = require("fs");

const appDirectory = fs.realpathSync(process.cwd());
export const resolveApp = relativePath => path.resolve(appDirectory, relativePath);

export default {
    dotenv: resolveApp(".env"),
    pagesConfig: resolveApp("pages-config.json"),
    translationsConfig: resolveApp("i18n.json"),
    scripts: resolveApp("src/scripts"),
    homeJs: resolveApp("src/scripts/home.js"),
    indexJs: resolveApp("src/scripts/index.js"),
    homeTemplate: resolveApp("src/templates/home.hbs"),
    dist: resolveApp("dist"),
    publicDir: resolveApp("public"),
    srcDir: resolveApp("src"),
    templates: resolveApp("src/templates"),
    hbsTranslationHelper: resolveApp("src/templates/helpers/t.js"),
    hbsEqHelper: resolveApp("src/templates/helpers/eq.js"),
    hbsHelpersDir: resolveApp("src/templates/helpers")
};
